[arch-commits] Commit in apr-util/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Mar 13 15:27:08 EST 2010


    Date: Saturday, March 13, 2010 @ 15:27:07
  Author: jgc
Revision: 72241

upgpkg: apr-util 1.3.9-4
Rebuild for apr, just in case

Modified:
  apr-util/trunk/PKGBUILD

----------+
 PKGBUILD |   13 +++++++------
 1 file changed, 7 insertions(+), 6 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-13 20:27:01 UTC (rev 72240)
+++ PKGBUILD	2010-03-13 20:27:07 UTC (rev 72241)
@@ -1,24 +1,25 @@
 # $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
 # Maintainer: Pierre Schmitz <pierre at archlinux.de>
 
 pkgname=apr-util
 pkgver=1.3.9
-pkgrel=3
+pkgrel=4
 pkgdesc="The Apache Portable Runtime"
 arch=('i686' 'x86_64')
 url="http://apr.apache.org/"
-depends=('apr>=1.3.7' 'gdbm' 'expat' 'db>=4.8' 'libldap' 'unixodbc')
+depends=('apr>=1.4.2' 'gdbm' 'expat' 'db>=4.8' 'libldap' 'unixodbc')
 options=('!libtool')
 license=('APACHE')
 source=("http://www.apache.org/dist/apr/apr-util-${pkgver}.tar.bz2")
+md5sums=('29dd557f7bd891fc2bfdffcfa081db59')
 
 build() {
-	cd ${srcdir}/apr-util-${pkgver}
+	cd "${srcdir}/apr-util-${pkgver}"
 
 	./configure --prefix=/usr --with-apr=/usr \
 		--without-pgsql --without-mysql --without-sqlite2 --without-sqlite3 \
-		--with-berkeley-db=/usr --with-gdbm=/usr --with-ldap
+		--with-berkeley-db=/usr --with-gdbm=/usr --with-ldap || return 1
 	make || return 1
-	make DESTDIR=${pkgdir} install
+	make DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('29dd557f7bd891fc2bfdffcfa081db59')



More information about the arch-commits mailing list